The WURFL UserAgent Features Adapter | Zend_Http Programmer's Reference Guide | The TeraWurfl UserAgent Features Adapter

# The DeviceAtlas UserAgent Features Adapter

# Overview

» DeviceAtlas provides a comprehensive mobile device database, in editions ranging from free to enterprise level. The databases provided with all editions utilize the same API, which is shipped as part of the DeviceAtlas offering. This particular features adapter interacts with the DeviceAtlas API in order to return device capabilities.

# Quick Start

You will first need to download the DeviceAtlas PHP API, available via their » downloads page. Unpack this into your library, and make note of the directory in which it resides.

From there, you may optionally desire to download one of the DeviceAtlas databases; see their site for details. When you do, make sure you make note of where the data file resides.

Once you have this information, you may configure Zend_Http_UserAgent to utilize it. The easiest way is through your application configuration.

1. resources.useragent.deviceatlas.deviceatlas_lib_dir = APPLICATION_PATH "/../library/DeviceAtlas"
2. resources.useragent.deviceatlas.deviceatlas_data = APPLICATION_PATH "/../data/DeviceAtlas/json/DeviceAtlas.json

# Configuration Options

# DeviceAtlas API Options

deviceatlas.deviceatlas_lib_dir

  If using the DeviceAtlas API, use this key to specify in which directory the library exists. If the Mobi_Mtld_DA_Api class is autoloadable, you may omit this setting.

deviceatlas.deviceatlas_data

  If using the DeviceAtlas API, use this key to specify the location of the data file you will use.

# Available Methods

getFromRequest ( array $request, array $config )

  Decompose the request in order to return an array of device capabilities.

The WURFL UserAgent Features Adapter | Zend_Http Programmer's Reference Guide | The TeraWurfl UserAgent Features Adapter